package de.szut.casino.lootboxes;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonIgnore;
import de.szut.casino.blackjack.CardEntity;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.SQLRestriction;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Entity
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class LootBoxEntity {
    @Id
    @GeneratedValue
    private Long id;

    private String name;

    @Column(precision = 19, scale = 2)
    private BigDecimal price;

    @OneToMany(mappedBy = "lootBox", cascade = CascadeType.ALL, orphanRemoval = true)
    private List<RewardEntity> rewards = new ArrayList<>();
}
